## GDBusMenuModel

GDBusMenuModel — A D-Bus GMenuModel implementation

## Functions

GDBusMenuModel * | g_dbus_menu_model_get ()

## Types and Values

| GDBusMenuModel

## Object Hierarchy

        GObject
        ╰── GMenuModel
            ╰── GDBusMenuModel

## Includes

    #include <gio/gio.h>

## Description

GDBusMenuModel is an implementation of GMenuModel that can be used as a proxy for a menu model that is exported over D-Bus with `g_dbus_connection_export_menu_model()`.

## Functions

### g_dbus_menu_model_get ()

    GDBusMenuModel *
    g_dbus_menu_model_get (GDBusConnection *connection,
                           const gchar *bus_name,
                           const gchar *object_path);

Obtains a GDBusMenuModel for the menu model which is exported at the given `bus_name` and `object_path` .

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

#### Parameters

connection | a GDBusConnection |
bus_name | the bus name which exports the menu model or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | the object path at which the menu model is exported |

#### Returns

a GDBusMenuModel object. Free with `g_object_unref()`.

[transfer full]

Since: 2.32

## Types and Values

### GDBusMenuModel

    typedef struct _GDBusMenuModel GDBusMenuModel;

GDBusMenuModel is an opaque data structure and can only be accessed using the following functions.

## See Also

GMenuModel Exporter